<?php 

/**
 * Plugin Name: Wp Simple Text Rotator
 * Plugin URI: http://www.webhunterrumman.com/plugins/
 * Description: WP Simple Text Rotator is an awesome, Beautiful and accomplished text rotation solution via WP Shortcode.Your Visitor e or users Attract attention by Changing Text, Color Animating The key speech of your clientele in a few minutes and without any programming skills. Your Visitors's attention will be just where you desire it to be in seconds.
 * Version: 1.0
 * Author: Md.Rumman
 * Author URI: http://www.webhunterrumman.com
 * License: A "Slug" license name e.g. GPL2
 */
 
## Adding Wp simple Text Rotator Latest jQuery from Wordpress ##
function rumman_wp_simple_text_rotator_lates_jquery() {
	wp_enqueue_script('jquery');
}
add_action('init', 'rumman_wp_simple_text_rotator_lates_jquery');


## Adding wp Simple Text Rotator js/css files ##
function rumman_wp_simple_text_rotator_add_js_css_file() {

    wp_enqueue_script( 'rumman-wp-simple-text-rotator-add-js', plugins_url( '/js/rumman.js', __FILE__ ), array('jquery'), '1.0', false);
    
    wp_enqueue_style( 'rumman-wp-simple-text-rotator-add-css', plugins_url( '/css/rumman.css', __FILE__ ));
	
}
add_action('init','rumman_wp_simple_text_rotator_add_js_css_file');


## Active Rumman Wp Simple Text Rotator jQuery ##
function active_rumman_simple_text_rotator_jquery(){?>
	<script type="text/javascript">
		jQuery(document).ready(function(){
			  jQuery(".demo1 .rotate").textrotator({
				animation: "fade",
				speed: 1000
			  });
			  jQuery(".demo2 .rotate").textrotator({
				animation: "flip",
				speed: 1250
			  });
			  jQuery(".demo3 .rotate").textrotator({
				animation: "flipCube",
				speed: 1500
			  });
			  jQuery(".demo4 .rotate").textrotator({
				animation: "flipUp",
				speed: 1750
			  });
			  jQuery(".demo5 .rotate").textrotator({
				animation: "spin",
				speed: 2000
			  });
		});
	</script>
<?php 
}
add_action('wp_head','active_rumman_simple_text_rotator_jquery');


## Rumman Wp Simple Text Rotator Short code .  

function rumman_wp_simple_text_rotator_shortcode($atts, $content = null){

	$a = shortcode_atts( array(
		'style' => 'demo1',
		'text'  => 'Simple, Customizable, Light Weight, Easy',
		'tag'   => 'h1',
		'color' => '#000',
	), $atts );

	return '<'.esc_attr($a['tag']).' class="'.esc_attr($a['style']).'"><span class="rotate" style="color:#'.esc_attr($a['color']).'">'.esc_attr($a['text']).'</span></'.esc_attr($a['tag']).'>';
}
add_shortcode( 'rotatortext', 'rumman_wp_simple_text_rotator_shortcode' );










?>